#include "main.h"

int displayMenu(void)
{
    /*
    Choix de l'action à réaliser

    +return: choix de l'action

    +var choice: choix de l'action
    */
    int choice;
    //TODO > Clear screen
    printf("\n=================================\n");
    printf("          Menu Principal\n");
    printf("=================================\n");
    printf("1. \u25B6 Connexion\n");
    printf("2. \u25B6 Inscription\n");
    printf("3. \u25B6 Faire opposition\n");
    printf("4. \u274C Quitter\n");
    printf("=================================\n");
    printf("Votre choix : ");
    scanf("%d", &choice);

    return choice;
}

void global(void)
{
    /*
    Fonction global: Exécute les autres fonctions selon les choix de l'utilisateur

    +var tLogArticle: taille logique des tableaux contenant les données des articles
    +var tLogClient:  taille logique des tableaux contenant les données des clients
    +var choice:      choix de l'action à réaliser
    +var reference:   tableau des références des articles
    +var clientID:    tableau des identifiants des clients
    +var suspended:   tableau de l'état du compte des clients
    +var weight:      tableau du poids des articles
    +var volume:      tableau du volume des articles
    +var unitPrice:   tableau du prix unitaire des actions
    +var cagnotte:    tableau des cagnottes des clients
    */
    // Déclaration des variables
    int tLogArticle, tLogClient, choice;
    int reference[tmaxArticles], clientID[tmaxClients], suspended[tmaxClients];
    float weight[tmaxArticles], volume[tmaxArticles], unitPrice[tmaxArticles], cagnotte[tmaxClients];
    // Chargement de toute les données
    chargeDonnees(&tLogArticle, &tLogClient, reference, weight, volume, unitPrice, clientID, cagnotte, suspended);
    // Affichage du menu
    choice = displayMenu();

    switch (choice)
    {
        case 1:
            //TODO > Connexion
            choice = displayMenu();
        case 2:
            //TODO > Inscription
            choice = displayMenu();
        case 3:
            //TODO > Faire opposition
            choice = displayMenu();
        case 4:
            return;
        default:
            printf("Erreur, veuillez entrer un choix valide.\n");
            choice = displayMenu();
    }
}

int main(void)
{
    global();
    return 0;
}